/*

* Copyright 2009 by GRUPO IE, Inc.

* 

* Private and Confidential

* Code contained in this document is the property of GRUPO IE. 

* It is for the exclusive use of designated employees 

* and not for distribution without prior written

* authorization.

*/

/*

* Q02bQ022BT00.java

*

* Created on 02/03/09 03:36:07

*/

package q02b.exe.tablasBD;

import java.sql.SQLException;

import java.sql.ResultSet;

import java.sql.Connection;

import q02b.exe.arquitectura.dataobjects.Q02bDAOException;

import q02b.exe.arquitectura.utils.tablasBD.*;

import java.util.ArrayList;

//import java.math.BigDecimal;



/*

*

* @author automatic generated

* @version 1.0

*/

public class Q02bTablaBDQ022BS00 extends Q02bTablaBD implements Q02bITablaBDQ022BS00 {

    private static final long serialVersionUID =1L;

    /** Constante para la propiedad Q022BT00_ID_GRUPO */

    public final static int COLUMN_Q022BT00_ID_GRUPO = 1;

    /** Constante para la propiedad Q022BT00_ID_GRUPO */

    public final static String NOMCOLUMN_Q022BT00_ID_GRUPO = "Q022BT00_ID_GRUPO";

    /** Constante para la propiedad Q022BT00_ID_GRUPO */

    public final static int TAM_MAXIMO_Q022BT00_ID_GRUPO = 8;

    /** Constante para la propiedad Q022BT00_ANO */

    public final static int COLUMN_Q022BT00_ANO = 2;

    /** Constante para la propiedad Q022BT00_ANO */

    public final static String NOMCOLUMN_Q022BT00_ANO = "Q022BT00_ANO";

    /** Constante para la propiedad Q022BT00_ANO */

    public final static int TAM_MAXIMO_Q022BT00_ANO = 4;

    /** Constante para la propiedad Q022BT00_MES */

    public final static int COLUMN_Q022BT00_MES = 3;

    /** Constante para la propiedad Q022BT00_MES */

    public final static String NOMCOLUMN_Q022BT00_MES = "Q022BT00_MES";

    /** Constante para la propiedad Q022BT00_MES */

    public final static int TAM_MAXIMO_Q022BT00_MES = 2;

    /** Constante para la propiedad Q022BT00_CONCEDIDO_LICEN */

    public final static int COLUMN_Q022BT00_CONCEDIDO_LICEN = 4;

    /** Constante para la propiedad Q022BT00_CONCEDIDO_LICEN */

    public final static String NOMCOLUMN_Q022BT00_CONCEDIDO_LICEN = "Q022BT00_CONCEDIDO_LICEN";

    /** Constante para la propiedad Q022BT00_CONCEDIDO_LICEN */

    public final static int TAM_MAXIMO_Q022BT00_CONCEDIDO_LICEN = 1;

    /** Constante para la propiedad Q022BT00_FEC_ALTA */

    public final static int COLUMN_Q022BT00_FEC_ALTA = 5;

    /** Constante para la propiedad Q022BT00_FEC_ALTA */

    public final static String NOMCOLUMN_Q022BT00_FEC_ALTA = "Q022BT00_FEC_ALTA";

    /** Constante para la propiedad Q022BT00_FEC_ALTA */

    public final static int TAM_MAXIMO_Q022BT00_FEC_ALTA = 7;

    /** Constante para la propiedad Q022BT00_FEC_MOD */

    public final static int COLUMN_Q022BT00_FEC_MOD = 6;

    /** Constante para la propiedad Q022BT00_FEC_MOD */

    public final static String NOMCOLUMN_Q022BT00_FEC_MOD = "Q022BT00_FEC_MOD";

    /** Constante para la propiedad Q022BT00_FEC_MOD */

    public final static int TAM_MAXIMO_Q022BT00_FEC_MOD = 7;

    /** Constante para la propiedad FCA02T00_CODPROVINC */

    public final static int COLUMN_FCA02T00_CODPROVINC = 7;

    /** Constante para la propiedad FCA02T00_CODPROVINC */

    public final static String NOMCOLUMN_FCA02T00_CODPROVINC = "FCA02T00_CODPROVINC";

    /** Constante para la propiedad FCA02T00_CODPROVINC */

    public final static int TAM_MAXIMO_FCA02T00_CODPROVINC = 2;

    /** Constante para la propiedad FCA02T00_CODMUNICIP */

    public final static int COLUMN_FCA02T00_CODMUNICIP = 8;

    /** Constante para la propiedad FCA02T00_CODMUNICIP */

    public final static String NOMCOLUMN_FCA02T00_CODMUNICIP = "FCA02T00_CODMUNICIP";

    /** Constante para la propiedad FCA02T00_CODMUNICIP */

    public final static int TAM_MAXIMO_FCA02T00_CODMUNICIP = 4;

    /** Constante para la propiedad Q022BT00_FEC_FIRMA */

    public final static int COLUMN_Q022BT00_FEC_FIRMA = 9;

    /** Constante para la propiedad Q022BT00_FEC_FIRMA */

    public final static String NOMCOLUMN_Q022BT00_FEC_FIRMA = "Q022BT00_FEC_FIRMA";

    /** Constante para la propiedad Q022BT00_FEC_FIRMA */

    public final static int TAM_MAXIMO_Q022BT00_FEC_FIRMA = 7;

    /** Constante para la propiedad Q022BT00_XML_FIRMADO */

    public final static int COLUMN_Q022BT00_XML_FIRMADO = 10;

    /** Constante para la propiedad Q022BT00_XML_FIRMADO */

    public final static String NOMCOLUMN_Q022BT00_XML_FIRMADO = "Q022BT00_XML_FIRMADO";

    /** Constante para la propiedad Q022BT00_XML_FIRMADO */

    public final static int TAM_MAXIMO_Q022BT00_XML_FIRMADO = 4000;

    /** Constante para la propiedad Q022BT00_USER_FIRMA */

    public final static int COLUMN_Q022BT00_USER_FIRMA = 11;

    /** Constante para la propiedad Q022BT00_USER_FIRMA */

    public final static String NOMCOLUMN_Q022BT00_USER_FIRMA = "Q022BT00_USER_FIRMA";

    /** Constante para la propiedad Q022BT00_USER_FIRMA */

    public final static int TAM_MAXIMO_Q022BT00_USER_FIRMA = 200;

    /** Constante para la propiedad Q022BT00_OBSSU */

    public final static int COLUMN_Q022BT00_OBSSU = 12;

    /** Constante para la propiedad Q022BT00_OBSSU */

    public final static String NOMCOLUMN_Q022BT00_OBSSU = "Q022BT00_OBSSU";

    /** Constante para la propiedad Q022BT00_OBSSU */

    public final static int TAM_MAXIMO_Q022BT00_OBSSU = 250;

    /** Constante para la propiedad NUMCOLUMNAS */

    public final static int COLUMN_NUMCOLUMNAS = 12;

    protected StringBuffer queryLog = new StringBuffer();

    /** Holds value of property Q022BT00_ID_GRUPO*/

    protected Integer Q022BT00_ID_GRUPO = null;

    /** Holds value of property Q022BT00_ID_GRUPO_WHERE */

    protected Integer Q022BT00_ID_GRUPO_WHERE = null;

    protected boolean Q022BT00_ID_GRUPO_MODIF = false;

    /** Holds value of property Q022BT00_ANO*/

    protected Integer Q022BT00_ANO = null;

    /** Holds value of property Q022BT00_ANO_WHERE */

    protected Integer Q022BT00_ANO_WHERE = null;

    protected boolean Q022BT00_ANO_MODIF = false;

    /** Holds value of property Q022BT00_MES*/

    protected Integer Q022BT00_MES = null;

    /** Holds value of property Q022BT00_MES_WHERE */

    protected Integer Q022BT00_MES_WHERE = null;

    protected boolean Q022BT00_MES_MODIF = false;

    /** Holds value of property Q022BT00_CONCEDIDO_LICEN*/

    protected Integer Q022BT00_CONCEDIDO_LICEN = null;

    /** Holds value of property Q022BT00_CONCEDIDO_LICEN_WHERE */

    protected Integer Q022BT00_CONCEDIDO_LICEN_WHERE = null;

    protected boolean Q022BT00_CONCEDIDO_LICEN_MODIF = false;

    /** Holds value of property Q022BT00_FEC_ALTA*/

    protected java.util.Date Q022BT00_FEC_ALTA = null;

    /** Holds value of property Q022BT00_FEC_ALTA_WHERE */

    protected java.util.Date Q022BT00_FEC_ALTA_WHERE = null;

    protected boolean Q022BT00_FEC_ALTA_MODIF = false;

    /** Holds value of property Q022BT00_FEC_MOD*/

    protected java.util.Date Q022BT00_FEC_MOD = null;

    /** Holds value of property Q022BT00_FEC_MOD_WHERE */

    protected java.util.Date Q022BT00_FEC_MOD_WHERE = null;

    protected boolean Q022BT00_FEC_MOD_MODIF = false;

    /** Holds value of property FCA02T00_CODPROVINC*/

    protected Integer FCA02T00_CODPROVINC = null;

    /** Holds value of property FCA02T00_CODPROVINC_WHERE */

    protected Integer FCA02T00_CODPROVINC_WHERE = null;

    protected boolean FCA02T00_CODPROVINC_MODIF = false;

    /** Holds value of property FCA02T00_CODMUNICIP*/

    protected Integer FCA02T00_CODMUNICIP = null;

    /** Holds value of property FCA02T00_CODMUNICIP_WHERE */

    protected Integer FCA02T00_CODMUNICIP_WHERE = null;

    protected boolean FCA02T00_CODMUNICIP_MODIF = false;

    /** Holds value of property Q022BT00_FEC_FIRMA*/

    protected java.util.Date Q022BT00_FEC_FIRMA = null;

    /** Holds value of property Q022BT00_FEC_FIRMA_WHERE */

    protected java.util.Date Q022BT00_FEC_FIRMA_WHERE = null;

    protected boolean Q022BT00_FEC_FIRMA_MODIF = false;

    /** Holds value of property Q022BT00_XML_FIRMADO*/

    protected Object Q022BT00_XML_FIRMADO = null;

    /** Holds value of property numBytes. */

    protected int  numBytesQ022BT00_XML_FIRMADO = 0;

    /** Holds value of property Q022BT00_XML_FIRMADO_WHERE */

    protected Object Q022BT00_XML_FIRMADO_WHERE = null;

    protected boolean Q022BT00_XML_FIRMADO_MODIF = false;

    /** Holds value of property Q022BT00_USER_FIRMA*/

    protected String Q022BT00_USER_FIRMA = null;

    /** Holds value of property Q022BT00_USER_FIRMA_WHERE */

    protected String Q022BT00_USER_FIRMA_WHERE = null;

    protected boolean Q022BT00_USER_FIRMA_MODIF = false;

    /** Holds value of property Q022BT00_OBSSU*/

    protected String Q022BT00_OBSSU = null;

    /** Holds value of property Q022BT00_OBSSU_WHERE */

    protected String Q022BT00_OBSSU_WHERE = null;

    protected boolean Q022BT00_OBSSU_MODIF = false;

    /** Holds value of property numMaxRegistros. */

    protected int  numMaxRegistros = 0;

    /** Holds value of property numInicio. */

    protected int  numInicio = 0;

    /** Holds value of property numFinal. */

    protected int  numFinal = 0;

    /** Holds value of property orderBy. */

    protected String  orderBy = null;

    /** Holds value of property limitRows. */

    protected boolean  limitRows = false;

    /** Holds value of property aditionalWhere. */

    protected String  aditionalWhere = null;

    /** Holds value of property initialWhere. */

    protected String  initialWhere = null;

    /** Holds value of property fixedWhere. */

    protected String  fixedWhere = null;

    /** Holds value of property distinct. */

    protected String  distinct = null;

    /** Holds value of property groupBy. */

    protected String  groupBy = null;

    /** Holds value of property max. */

    protected String  max = null;

    /** Holds value of property fechaClase. */

    protected static String sFechaClase = "02/03/09 03:36:07";

    protected String columnas[] =  {"Q022BT00_ID_GRUPO", "Q022BT00_ANO", "Q022BT00_MES", "Q022BT00_CONCEDIDO_LICEN", "Q022BT00_FEC_ALTA", "Q022BT00_FEC_MOD", "FCA02T00_CODPROVINC", "FCA02T00_CODMUNICIP", "Q022BT00_FEC_FIRMA", "Q022BT00_XML_FIRMADO", "Q022BT00_USER_FIRMA", "Q022BT00_OBSSU"};

    protected int tipos[] =  {3, 3, 3, 3, 93, 93, 3, 3, 93, 2005, 12, 12};

    protected int longitudes[] =  {8, 4, 2, 1, 7, 7, 2, 4, 7, 4000, 200, 250};

    protected ArrayList columnasSelect = new ArrayList();

    protected StringBuffer sbColumnasSelect = new StringBuffer();

    protected ArrayList alias = new ArrayList();

    protected String columnasPK[] =  {"Q022BT00_ID_GRUPO"};

    protected String columnasFK[] =  {"CODPROVINC", "CODMUNICIP"};

    protected String tablasFK[] =  {"FCA02T00", "FCA02T00"};

    protected boolean nullables[] =  {false,false,false,false,true,true,false,false,true,true,true,true};



    protected Class arrClases[]={java.sql.Connection.class};

    protected Object arrObjetos[]={connection};

    protected String tableFrom="Q022BS00";

    protected int regModif=0;

    protected boolean uncommittedRead=false;

    protected boolean forUpdate=false;

    protected Q02bITablaBDQ022BS00 iTablaBDQ022BS00 = null;

    /** Creates new Q022BT00 */

    public Q02bTablaBDQ022BS00() {

        setTableName(this.getClass().getName().substring(this.getClass().getName().lastIndexOf(".")));

    }



    /** Creates new Q022BS00 */

    public Q02bTablaBDQ022BS00(Connection con) {

        connection=con;

        setTableName(this.getClass().getName().substring(this.getClass().getName().lastIndexOf(".")));

    }



    /** Method reset */

    public void reset() {

        iTablaBDQ022BS00.setQ022BT00_ID_GRUPO(null);

        iTablaBDQ022BS00.setQ022BT00_ID_GRUPO_WHERE(null);

        iTablaBDQ022BS00.setQ022BT00_ID_GRUPO_MODIF(false);

        iTablaBDQ022BS00.setQ022BT00_ANO(null);

        iTablaBDQ022BS00.setQ022BT00_ANO_WHERE(null);

        iTablaBDQ022BS00.setQ022BT00_ANO_MODIF(false);

        iTablaBDQ022BS00.setQ022BT00_MES(null);

        iTablaBDQ022BS00.setQ022BT00_MES_WHERE(null);

        iTablaBDQ022BS00.setQ022BT00_MES_MODIF(false);

        iTablaBDQ022BS00.setQ022BT00_CONCEDIDO_LICEN(null);

        iTablaBDQ022BS00.setQ022BT00_CONCEDIDO_LICEN_WHERE(null);

        iTablaBDQ022BS00.setQ022BT00_CONCEDIDO_LICEN_MODIF(false);

        iTablaBDQ022BS00.setQ022BT00_FEC_ALTA(null);

        iTablaBDQ022BS00.setQ022BT00_FEC_ALTA_WHERE(null);

        iTablaBDQ022BS00.setQ022BT00_FEC_ALTA_MODIF(false);

        iTablaBDQ022BS00.setQ022BT00_FEC_MOD(null);

        iTablaBDQ022BS00.setQ022BT00_FEC_MOD_WHERE(null);

        iTablaBDQ022BS00.setQ022BT00_FEC_MOD_MODIF(false);

        iTablaBDQ022BS00.setFCA02T00_CODPROVINC(null);

        iTablaBDQ022BS00.setFCA02T00_CODPROVINC_WHERE(null);

        iTablaBDQ022BS00.setFCA02T00_CODPROVINC_MODIF(false);

        iTablaBDQ022BS00.setFCA02T00_CODMUNICIP(null);

        iTablaBDQ022BS00.setFCA02T00_CODMUNICIP_WHERE(null);

        iTablaBDQ022BS00.setFCA02T00_CODMUNICIP_MODIF(false);

        iTablaBDQ022BS00.setQ022BT00_FEC_FIRMA(null);

        iTablaBDQ022BS00.setQ022BT00_FEC_FIRMA_WHERE(null);

        iTablaBDQ022BS00.setQ022BT00_FEC_FIRMA_MODIF(false);

        iTablaBDQ022BS00.setQ022BT00_XML_FIRMADO(null);

        iTablaBDQ022BS00.setQ022BT00_XML_FIRMADO_WHERE(null);

        iTablaBDQ022BS00.setQ022BT00_XML_FIRMADO_MODIF(false);

        iTablaBDQ022BS00.setQ022BT00_USER_FIRMA(null);

        iTablaBDQ022BS00.setQ022BT00_USER_FIRMA_WHERE(null);

        iTablaBDQ022BS00.setQ022BT00_USER_FIRMA_MODIF(false);

        iTablaBDQ022BS00.setQ022BT00_OBSSU(null);

        iTablaBDQ022BS00.setQ022BT00_OBSSU_WHERE(null);

        iTablaBDQ022BS00.setQ022BT00_OBSSU_MODIF(false);

        iTablaBDQ022BS00.setNumMaxRegistros(0);

        iTablaBDQ022BS00.setNumInicio(0);

        iTablaBDQ022BS00.setNumFinal(0);

        iTablaBDQ022BS00.setOrderBy(null);

        iTablaBDQ022BS00.setAditionalWhere(null);

        iTablaBDQ022BS00.setInitialWhere(null);

        iTablaBDQ022BS00.setFixedWhere(null);

        iTablaBDQ022BS00.setDistinct(null);

        iTablaBDQ022BS00.setMax(null);

        columnasSelect = null;

        tableFrom = "Q022BS00";

        iTablaBDQ022BS00.setUncommittedRead(false);

        iTablaBDQ022BS00.setForUpdate(false);

        iTablaBDQ022BS00.setGroupBy(null);

    }



    /** Method addColumnSelect(nombreColumna) 

    * @param nombreColumna New value of property columnasSelect.

    * Este método añade una nueva columna a mostrar en el resultado de la select

    * Añadir las columnas usando las constantes de la tabla

    */

    public void addColumnSelect(String nombreColumna) {

        iTablaBDQ022BS00.addColumnSelect(nombreColumna);

    }



    /** Method clearColumnsSelect() 

    * Este método vacia el ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void clearColumnsSelect() {

        iTablaBDQ022BS00.clearColumnsSelect();

    }



    /** Method setColumnsSelect(listaColumnas) 

    * Este método da valor al ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void setColumnsSelect(String listaColumnas) {

        iTablaBDQ022BS00.setColumnsSelect(listaColumnas);

    }



    /** Method setTableFrom(listaTablas) 

    * @param listaTablas New value of property tableFrom.

    * Este método añade la lista de tablas pasadas por parametro a la from .

    * Cada tabla de la lista debe ir separada por comas

    */

    public void setTableFrom(String listaTablas) {

        iTablaBDQ022BS00.setTableFrom(listaTablas);

    }



    /** Method getTableFrom() 

    * Este método devuelve un String con los nombres de las tablas sobres las q hacer la

    * from separadas por comas.

    */

    public String getTableFrom() {

        return iTablaBDQ022BS00.getTableFrom();

    }



    /** Method getRegModif() 

    * Este método devuelve un int con el nº de regs modificados

    */

    public int getRegModif() {

        return iTablaBDQ022BS00.getRegModif();

    }



    /** Method setUncommittedRead() 

    * Este método es válido SOLO EN DB2. Permite 'lecturas sucias' si se establece a true

    */

    public void setUncommittedRead(boolean ur) {

        iTablaBDQ022BS00.setUncommittedRead(ur);

    }



    /** Method getUncommittedRead() 

    * Este método es válido SOLO EN DB2.Devuelve el valor de UncommittedRead

    */

    public boolean getUncommittedRead() {

        return iTablaBDQ022BS00.getUncommittedRead();

    }



    /** Method setForUpdate() 

    * Este método permite añadir la clausula FOR UPDATE si se establece a true

    */

    public void setForUpdate(boolean fu) {

        iTablaBDQ022BS00.setForUpdate(fu);

    }



    /** Method getForUpdate() 

    * Este método devuelve el valor de forUpdate

    */

    public boolean getForUpdate() {

        return iTablaBDQ022BS00.getForUpdate();

    }



    /** Method setGroupBy(listaColumnas) 

    * @param listaColumnas New value of property groupBy.

    * Este método da el valor de la lista de columnas pasadas por parametro a la groupby .

    * Cada columna de la lista debe ir separada por comas

    */

    public void setGroupBy(String listaColumnas) {

             iTablaBDQ022BS00.setGroupBy(listaColumnas);

    }



    /** Method getGroupBy() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * groupBy separadas por comas.

    */

    public String getGroupBy() {

        return iTablaBDQ022BS00.getGroupBy();

    }



    /** Method getColumnsSelect() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * select separadas por comas.

    */

    public String getColumnsSelect() {

        return iTablaBDQ022BS00.getColumnsSelect();

    }



    /** Method select(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet select(String where)throws SQLException,Q02bDAOException  {

        return iTablaBDQ022BS00.select(where);

    }



    /** Method selectCount(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectCount(String where)throws SQLException  {

        return iTablaBDQ022BS00.selectCount(where);

    }



    /** Method selectDistinct(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct(String where)throws SQLException  {

        return iTablaBDQ022BS00.selectDistinct(where);

    }



    /** Method selectMax(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectMax(String where)throws SQLException  {

        return iTablaBDQ022BS00.selectMax(where);

    }



    /** Method select() 

    * @return Value of the resultSet.

    */

    public ResultSet select()throws SQLException,Q02bDAOException  {

        return iTablaBDQ022BS00.select();

    }



    /** Method selectCount() 

    * @return Value of the resultSet.

    */

    public ResultSet selectCount()throws SQLException  {

        return iTablaBDQ022BS00.selectCount();

    }



    /** Method selectDistinct() 

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct()throws SQLException  {

        return iTablaBDQ022BS00.selectDistinct();

    }



    /** Method selectMax() 

    * @return Value of the resultSet.

    */

    public ResultSet selectMax()throws SQLException  {

        return iTablaBDQ022BS00.selectMax();

    }



    /** Method update() */

    public void update()throws SQLException  {

        iTablaBDQ022BS00.update();

        }



    /** Method update(where) 

    * @param where New value of property WHERE.

    */

    public void update(String  where )throws SQLException  {

        iTablaBDQ022BS00.update(where);

    }



    /** Method delete(where) 

    * @param where New value of property WHERE.

    */

    public void delete(String where)throws SQLException  {

        iTablaBDQ022BS00.delete(where);

    }



    /** Method delete */

    public void delete()throws SQLException  {

        iTablaBDQ022BS00.delete();

    }



    /** Method insert */

    public void insert()throws SQLException  {

        iTablaBDQ022BS00.insert();

    }



    /** Setter for property Q022BT00_ID_GRUPO.

    * @param valor New value of propertyQ022BT00_ID_GRUPO.

    */

    public void setQ022BT00_ID_GRUPO(int valor) {

        if (iTablaBDQ022BS00==null){

        this.Q022BT00_ID_GRUPO=new Integer(valor);

        }else{

           iTablaBDQ022BS00.setQ022BT00_ID_GRUPO(valor);

        }

    }



    public void setQ022BT00_ID_GRUPO(Integer valor) {

        if (iTablaBDQ022BS00==null){

        this.Q022BT00_ID_GRUPO=valor;

        if (valor==null){

             this.Q022BT00_ID_GRUPO_MODIF=true;

        }

        }else{

           iTablaBDQ022BS00.setQ022BT00_ID_GRUPO(valor);

           if (valor==null){

                iTablaBDQ022BS00.setQ022BT00_ID_GRUPO_MODIF(true);

           }

        }

    }



    public void setQ022BT00_ID_GRUPO_WHERE(int valor) {

        if (iTablaBDQ022BS00==null){

        this.Q022BT00_ID_GRUPO_WHERE=new Integer(valor);

        }else{

           iTablaBDQ022BS00.setQ022BT00_ID_GRUPO_WHERE(valor);

        }

    }



    public void setQ022BT00_ID_GRUPO_WHERE(Integer valor) {

        if (iTablaBDQ022BS00==null){

        this.Q022BT00_ID_GRUPO_WHERE=valor;

        }else{

           iTablaBDQ022BS00.setQ022BT00_ID_GRUPO_WHERE(valor);

        }

    }



    public void setQ022BT00_ID_GRUPO_MODIF(boolean valor) {

        if (iTablaBDQ022BS00==null){

        this.Q022BT00_ID_GRUPO_MODIF=valor;

        }else{

           iTablaBDQ022BS00.setQ022BT00_ID_GRUPO_MODIF(valor);

        }

    }



    /** Setter for property Q022BT00_ANO.

    * @param valor New value of propertyQ022BT00_ANO.

    */

    public void setQ022BT00_ANO(int valor) {

        if (iTablaBDQ022BS00==null){

        this.Q022BT00_ANO=new Integer(valor);

        }else{

           iTablaBDQ022BS00.setQ022BT00_ANO(valor);

        }

    }



    public void setQ022BT00_ANO(Integer valor) {

        if (iTablaBDQ022BS00==null){

        this.Q022BT00_ANO=valor;

        if (valor==null){

             this.Q022BT00_ANO_MODIF=true;

        }

        }else{

           iTablaBDQ022BS00.setQ022BT00_ANO(valor);

           if (valor==null){

                iTablaBDQ022BS00.setQ022BT00_ANO_MODIF(true);

           }

        }

    }



    public void setQ022BT00_ANO_WHERE(int valor) {

        if (iTablaBDQ022BS00==null){

        this.Q022BT00_ANO_WHERE=new Integer(valor);

        }else{

           iTablaBDQ022BS00.setQ022BT00_ANO_WHERE(valor);

        }

    }



    public void setQ022BT00_ANO_WHERE(Integer valor) {

        if (iTablaBDQ022BS00==null){

        this.Q022BT00_ANO_WHERE=valor;

        }else{

           iTablaBDQ022BS00.setQ022BT00_ANO_WHERE(valor);

        }

    }



    public void setQ022BT00_ANO_MODIF(boolean valor) {

        if (iTablaBDQ022BS00==null){

        this.Q022BT00_ANO_MODIF=valor;

        }else{

           iTablaBDQ022BS00.setQ022BT00_ANO_MODIF(valor);

        }

    }



    /** Setter for property Q022BT00_MES.

    * @param valor New value of propertyQ022BT00_MES.

    */

    public void setQ022BT00_MES(int valor) {

        if (iTablaBDQ022BS00==null){

        this.Q022BT00_MES=new Integer(valor);

        }else{

           iTablaBDQ022BS00.setQ022BT00_MES(valor);

        }

    }



    public void setQ022BT00_MES(Integer valor) {

        if (iTablaBDQ022BS00==null){

        this.Q022BT00_MES=valor;

        if (valor==null){

             this.Q022BT00_MES_MODIF=true;

        }

        }else{

           iTablaBDQ022BS00.setQ022BT00_MES(valor);

           if (valor==null){

                iTablaBDQ022BS00.setQ022BT00_MES_MODIF(true);

           }

        }

    }



    public void setQ022BT00_MES_WHERE(int valor) {

        if (iTablaBDQ022BS00==null){

        this.Q022BT00_MES_WHERE=new Integer(valor);

        }else{

           iTablaBDQ022BS00.setQ022BT00_MES_WHERE(valor);

        }

    }



    public void setQ022BT00_MES_WHERE(Integer valor) {

        if (iTablaBDQ022BS00==null){

        this.Q022BT00_MES_WHERE=valor;

        }else{

           iTablaBDQ022BS00.setQ022BT00_MES_WHERE(valor);

        }

    }



    public void setQ022BT00_MES_MODIF(boolean valor) {

        if (iTablaBDQ022BS00==null){

        this.Q022BT00_MES_MODIF=valor;

        }else{

           iTablaBDQ022BS00.setQ022BT00_MES_MODIF(valor);

        }

    }



    /** Setter for property Q022BT00_CONCEDIDO_LICEN.

    * @param valor New value of propertyQ022BT00_CONCEDIDO_LICEN.

    */

    public void setQ022BT00_CONCEDIDO_LICEN(int valor) {

        if (iTablaBDQ022BS00==null){

        this.Q022BT00_CONCEDIDO_LICEN=new Integer(valor);

        }else{

           iTablaBDQ022BS00.setQ022BT00_CONCEDIDO_LICEN(valor);

        }

    }



    public void setQ022BT00_CONCEDIDO_LICEN(Integer valor) {

        if (iTablaBDQ022BS00==null){

        this.Q022BT00_CONCEDIDO_LICEN=valor;

        if (valor==null){

             this.Q022BT00_CONCEDIDO_LICEN_MODIF=true;

        }

        }else{

           iTablaBDQ022BS00.setQ022BT00_CONCEDIDO_LICEN(valor);

           if (valor==null){

                iTablaBDQ022BS00.setQ022BT00_CONCEDIDO_LICEN_MODIF(true);

           }

        }

    }



    public void setQ022BT00_CONCEDIDO_LICEN_WHERE(int valor) {

        if (iTablaBDQ022BS00==null){

        this.Q022BT00_CONCEDIDO_LICEN_WHERE=new Integer(valor);

        }else{

           iTablaBDQ022BS00.setQ022BT00_CONCEDIDO_LICEN_WHERE(valor);

        }

    }



    public void setQ022BT00_CONCEDIDO_LICEN_WHERE(Integer valor) {

        if (iTablaBDQ022BS00==null){

        this.Q022BT00_CONCEDIDO_LICEN_WHERE=valor;

        }else{

           iTablaBDQ022BS00.setQ022BT00_CONCEDIDO_LICEN_WHERE(valor);

        }

    }



    public void setQ022BT00_CONCEDIDO_LICEN_MODIF(boolean valor) {

        if (iTablaBDQ022BS00==null){

        this.Q022BT00_CONCEDIDO_LICEN_MODIF=valor;

        }else{

           iTablaBDQ022BS00.setQ022BT00_CONCEDIDO_LICEN_MODIF(valor);

        }

    }



    /** Setter for property Q022BT00_FEC_ALTA.

    * @param valor New value of propertyQ022BT00_FEC_ALTA.

    */

    public void setQ022BT00_FEC_ALTA(java.util.Date valor) {

        if (iTablaBDQ022BS00==null){

        this.Q022BT00_FEC_ALTA=valor;

        if (valor==null){

            this.Q022BT00_FEC_ALTA_MODIF =true;

        }

        }else{

           iTablaBDQ022BS00.setQ022BT00_FEC_ALTA(valor);

           if (valor==null){

              iTablaBDQ022BS00.setQ022BT00_FEC_ALTA_MODIF(true);

           }

        }

    }



    public void setQ022BT00_FEC_ALTA_WHERE(java.util.Date valor) {

        if (iTablaBDQ022BS00==null){

        this.Q022BT00_FEC_ALTA_WHERE=valor;

        }else{

           iTablaBDQ022BS00.setQ022BT00_FEC_ALTA_WHERE(valor);

        }

    }



    public void setQ022BT00_FEC_ALTA_MODIF(boolean valor) {

        if (iTablaBDQ022BS00==null){

        this.Q022BT00_FEC_ALTA_MODIF=valor;

        }else{

           iTablaBDQ022BS00.setQ022BT00_FEC_ALTA_MODIF(valor);

        }

    }



    /** Setter for property Q022BT00_FEC_MOD.

    * @param valor New value of propertyQ022BT00_FEC_MOD.

    */

    public void setQ022BT00_FEC_MOD(java.util.Date valor) {

        if (iTablaBDQ022BS00==null){

        this.Q022BT00_FEC_MOD=valor;

        if (valor==null){

            this.Q022BT00_FEC_MOD_MODIF =true;

        }

        }else{

           iTablaBDQ022BS00.setQ022BT00_FEC_MOD(valor);

           if (valor==null){

              iTablaBDQ022BS00.setQ022BT00_FEC_MOD_MODIF(true);

           }

        }

    }



    public void setQ022BT00_FEC_MOD_WHERE(java.util.Date valor) {

        if (iTablaBDQ022BS00==null){

        this.Q022BT00_FEC_MOD_WHERE=valor;

        }else{

           iTablaBDQ022BS00.setQ022BT00_FEC_MOD_WHERE(valor);

        }

    }



    public void setQ022BT00_FEC_MOD_MODIF(boolean valor) {

        if (iTablaBDQ022BS00==null){

        this.Q022BT00_FEC_MOD_MODIF=valor;

        }else{

           iTablaBDQ022BS00.setQ022BT00_FEC_MOD_MODIF(valor);

        }

    }



    /** Setter for property FCA02T00_CODPROVINC.

    * @param valor New value of propertyFCA02T00_CODPROVINC.

    */

    public void setFCA02T00_CODPROVINC(int valor) {

        if (iTablaBDQ022BS00==null){

        this.FCA02T00_CODPROVINC=new Integer(valor);

        }else{

           iTablaBDQ022BS00.setFCA02T00_CODPROVINC(valor);

        }

    }



    public void setFCA02T00_CODPROVINC(Integer valor) {

        if (iTablaBDQ022BS00==null){

        this.FCA02T00_CODPROVINC=valor;

        if (valor==null){

             this.FCA02T00_CODPROVINC_MODIF=true;

        }

        }else{

           iTablaBDQ022BS00.setFCA02T00_CODPROVINC(valor);

           if (valor==null){

                iTablaBDQ022BS00.setFCA02T00_CODPROVINC_MODIF(true);

           }

        }

    }



    public void setFCA02T00_CODPROVINC_WHERE(int valor) {

        if (iTablaBDQ022BS00==null){

        this.FCA02T00_CODPROVINC_WHERE=new Integer(valor);

        }else{

           iTablaBDQ022BS00.setFCA02T00_CODPROVINC_WHERE(valor);

        }

    }



    public void setFCA02T00_CODPROVINC_WHERE(Integer valor) {

        if (iTablaBDQ022BS00==null){

        this.FCA02T00_CODPROVINC_WHERE=valor;

        }else{

           iTablaBDQ022BS00.setFCA02T00_CODPROVINC_WHERE(valor);

        }

    }



    public void setFCA02T00_CODPROVINC_MODIF(boolean valor) {

        if (iTablaBDQ022BS00==null){

        this.FCA02T00_CODPROVINC_MODIF=valor;

        }else{

           iTablaBDQ022BS00.setFCA02T00_CODPROVINC_MODIF(valor);

        }

    }



    /** Setter for property FCA02T00_CODMUNICIP.

    * @param valor New value of propertyFCA02T00_CODMUNICIP.

    */

    public void setFCA02T00_CODMUNICIP(int valor) {

        if (iTablaBDQ022BS00==null){

        this.FCA02T00_CODMUNICIP=new Integer(valor);

        }else{

           iTablaBDQ022BS00.setFCA02T00_CODMUNICIP(valor);

        }

    }



    public void setFCA02T00_CODMUNICIP(Integer valor) {

        if (iTablaBDQ022BS00==null){

        this.FCA02T00_CODMUNICIP=valor;

        if (valor==null){

             this.FCA02T00_CODMUNICIP_MODIF=true;

        }

        }else{

           iTablaBDQ022BS00.setFCA02T00_CODMUNICIP(valor);

           if (valor==null){

                iTablaBDQ022BS00.setFCA02T00_CODMUNICIP_MODIF(true);

           }

        }

    }



    public void setFCA02T00_CODMUNICIP_WHERE(int valor) {

        if (iTablaBDQ022BS00==null){

        this.FCA02T00_CODMUNICIP_WHERE=new Integer(valor);

        }else{

           iTablaBDQ022BS00.setFCA02T00_CODMUNICIP_WHERE(valor);

        }

    }



    public void setFCA02T00_CODMUNICIP_WHERE(Integer valor) {

        if (iTablaBDQ022BS00==null){

        this.FCA02T00_CODMUNICIP_WHERE=valor;

        }else{

           iTablaBDQ022BS00.setFCA02T00_CODMUNICIP_WHERE(valor);

        }

    }



    public void setFCA02T00_CODMUNICIP_MODIF(boolean valor) {

        if (iTablaBDQ022BS00==null){

        this.FCA02T00_CODMUNICIP_MODIF=valor;

        }else{

           iTablaBDQ022BS00.setFCA02T00_CODMUNICIP_MODIF(valor);

        }

    }



    /** Setter for property Q022BT00_FEC_FIRMA.

    * @param valor New value of propertyQ022BT00_FEC_FIRMA.

    */

    public void setQ022BT00_FEC_FIRMA(java.util.Date valor) {

        if (iTablaBDQ022BS00==null){

        this.Q022BT00_FEC_FIRMA=valor;

        if (valor==null){

            this.Q022BT00_FEC_FIRMA_MODIF =true;

        }

        }else{

           iTablaBDQ022BS00.setQ022BT00_FEC_FIRMA(valor);

           if (valor==null){

              iTablaBDQ022BS00.setQ022BT00_FEC_FIRMA_MODIF(true);

           }

        }

    }



    public void setQ022BT00_FEC_FIRMA_WHERE(java.util.Date valor) {

        if (iTablaBDQ022BS00==null){

        this.Q022BT00_FEC_FIRMA_WHERE=valor;

        }else{

           iTablaBDQ022BS00.setQ022BT00_FEC_FIRMA_WHERE(valor);

        }

    }



    public void setQ022BT00_FEC_FIRMA_MODIF(boolean valor) {

        if (iTablaBDQ022BS00==null){

        this.Q022BT00_FEC_FIRMA_MODIF=valor;

        }else{

           iTablaBDQ022BS00.setQ022BT00_FEC_FIRMA_MODIF(valor);

        }

    }



    /** Setter for property Q022BT00_XML_FIRMADO.

    * @param valor New value of propertyQ022BT00_XML_FIRMADO.

    */

    public void setQ022BT00_XML_FIRMADO(Object valor) {

        if (iTablaBDQ022BS00==null){

        this.Q022BT00_XML_FIRMADO=valor;

        if (valor==null){

            this.Q022BT00_XML_FIRMADO_MODIF =true;

        }

        }else{

           iTablaBDQ022BS00.setQ022BT00_XML_FIRMADO(valor);

           if (valor==null){

              iTablaBDQ022BS00.setQ022BT00_XML_FIRMADO_MODIF(true);

           }

        }

    }



    public void setQ022BT00_XML_FIRMADO_WHERE(Object valor) {

        if (iTablaBDQ022BS00==null){

        this.Q022BT00_XML_FIRMADO_WHERE=valor;

        }else{

           iTablaBDQ022BS00.setQ022BT00_XML_FIRMADO_WHERE(valor);

        }

    }



    public void setQ022BT00_XML_FIRMADO_MODIF(boolean valor) {

        if (iTablaBDQ022BS00==null){

        this.Q022BT00_XML_FIRMADO_MODIF=valor;

        }else{

           iTablaBDQ022BS00.setQ022BT00_XML_FIRMADO_MODIF(valor);

        }

    }



    /** Setter for property Q022BT00_USER_FIRMA.

    * @param valor New value of propertyQ022BT00_USER_FIRMA.

    */

    public void setQ022BT00_USER_FIRMA(String valor) {

        if (iTablaBDQ022BS00==null){

        this.Q022BT00_USER_FIRMA=valor;

        if (valor==null){

            this.Q022BT00_USER_FIRMA_MODIF =true;

        }

        }else{

           iTablaBDQ022BS00.setQ022BT00_USER_FIRMA(valor);

           if (valor==null){

              iTablaBDQ022BS00.setQ022BT00_USER_FIRMA_MODIF(true);

           }

        }

    }



    public void setQ022BT00_USER_FIRMA_WHERE(String valor) {

        if (iTablaBDQ022BS00==null){

        this.Q022BT00_USER_FIRMA_WHERE=valor;

        }else{

           iTablaBDQ022BS00.setQ022BT00_USER_FIRMA_WHERE(valor);

        }

    }



    public void setQ022BT00_USER_FIRMA_MODIF(boolean valor) {

        if (iTablaBDQ022BS00==null){

        this.Q022BT00_USER_FIRMA_MODIF=valor;

        }else{

           iTablaBDQ022BS00.setQ022BT00_USER_FIRMA_MODIF(valor);

        }

    }



    /** Setter for property Q022BT00_OBSSU.

    * @param valor New value of propertyQ022BT00_OBSSU.

    */

    public void setQ022BT00_OBSSU(String valor) {

        if (iTablaBDQ022BS00==null){

        this.Q022BT00_OBSSU=valor;

        if (valor==null){

            this.Q022BT00_OBSSU_MODIF =true;

        }

        }else{

           iTablaBDQ022BS00.setQ022BT00_OBSSU(valor);

           if (valor==null){

              iTablaBDQ022BS00.setQ022BT00_OBSSU_MODIF(true);

           }

        }

    }



    public void setQ022BT00_OBSSU_WHERE(String valor) {

        if (iTablaBDQ022BS00==null){

        this.Q022BT00_OBSSU_WHERE=valor;

        }else{

           iTablaBDQ022BS00.setQ022BT00_OBSSU_WHERE(valor);

        }

    }



    public void setQ022BT00_OBSSU_MODIF(boolean valor) {

        if (iTablaBDQ022BS00==null){

        this.Q022BT00_OBSSU_MODIF=valor;

        }else{

           iTablaBDQ022BS00.setQ022BT00_OBSSU_MODIF(valor);

        }

    }



    /** Getter for property Q022BT00_ID_GRUPO.

    * @return Value of property Q022BT00_ID_GRUPO.

    */

    public Integer getQ022BT00_ID_GRUPO() {

        if (iTablaBDQ022BS00==null){

            return this.Q022BT00_ID_GRUPO;

        }else{

           return iTablaBDQ022BS00.getQ022BT00_ID_GRUPO();

        }

    }



    /** Getter for property Q022BT00_ID_GRUPO_WHERE.

    * @return Value of property Q022BT00_ID_GRUPO_WHERE.

    */

    public Integer getQ022BT00_ID_GRUPO_WHERE() {

        if (iTablaBDQ022BS00==null){

            return this.Q022BT00_ID_GRUPO_WHERE;

        }else{

           return iTablaBDQ022BS00.getQ022BT00_ID_GRUPO_WHERE();

        }

    }



    /** Getter for property Q022BT00_ANO.

    * @return Value of property Q022BT00_ANO.

    */

    public Integer getQ022BT00_ANO() {

        if (iTablaBDQ022BS00==null){

            return this.Q022BT00_ANO;

        }else{

           return iTablaBDQ022BS00.getQ022BT00_ANO();

        }

    }



    /** Getter for property Q022BT00_ANO_WHERE.

    * @return Value of property Q022BT00_ANO_WHERE.

    */

    public Integer getQ022BT00_ANO_WHERE() {

        if (iTablaBDQ022BS00==null){

            return this.Q022BT00_ANO_WHERE;

        }else{

           return iTablaBDQ022BS00.getQ022BT00_ANO_WHERE();

        }

    }



    /** Getter for property Q022BT00_MES.

    * @return Value of property Q022BT00_MES.

    */

    public Integer getQ022BT00_MES() {

        if (iTablaBDQ022BS00==null){

            return this.Q022BT00_MES;

        }else{

           return iTablaBDQ022BS00.getQ022BT00_MES();

        }

    }



    /** Getter for property Q022BT00_MES_WHERE.

    * @return Value of property Q022BT00_MES_WHERE.

    */

    public Integer getQ022BT00_MES_WHERE() {

        if (iTablaBDQ022BS00==null){

            return this.Q022BT00_MES_WHERE;

        }else{

           return iTablaBDQ022BS00.getQ022BT00_MES_WHERE();

        }

    }



    /** Getter for property Q022BT00_CONCEDIDO_LICEN.

    * @return Value of property Q022BT00_CONCEDIDO_LICEN.

    */

    public Integer getQ022BT00_CONCEDIDO_LICEN() {

        if (iTablaBDQ022BS00==null){

            return this.Q022BT00_CONCEDIDO_LICEN;

        }else{

           return iTablaBDQ022BS00.getQ022BT00_CONCEDIDO_LICEN();

        }

    }



    /** Getter for property Q022BT00_CONCEDIDO_LICEN_WHERE.

    * @return Value of property Q022BT00_CONCEDIDO_LICEN_WHERE.

    */

    public Integer getQ022BT00_CONCEDIDO_LICEN_WHERE() {

        if (iTablaBDQ022BS00==null){

            return this.Q022BT00_CONCEDIDO_LICEN_WHERE;

        }else{

           return iTablaBDQ022BS00.getQ022BT00_CONCEDIDO_LICEN_WHERE();

        }

    }



    /** Getter for property Q022BT00_FEC_ALTA.

    * @return Value of property Q022BT00_FEC_ALTA.

    */

    public java.util.Date getQ022BT00_FEC_ALTA() {

        if (iTablaBDQ022BS00==null){

            return this.Q022BT00_FEC_ALTA;

        }else{

           return iTablaBDQ022BS00.getQ022BT00_FEC_ALTA();

        }

    }



    /** Getter for property Q022BT00_FEC_ALTA_WHERE.

    * @return Value of property Q022BT00_FEC_ALTA_WHERE.

    */

    public java.util.Date getQ022BT00_FEC_ALTA_WHERE() {

        if (iTablaBDQ022BS00==null){

            return this.Q022BT00_FEC_ALTA_WHERE;

        }else{

           return iTablaBDQ022BS00.getQ022BT00_FEC_ALTA_WHERE();

        }

    }



    /** Getter for property Q022BT00_FEC_MOD.

    * @return Value of property Q022BT00_FEC_MOD.

    */

    public java.util.Date getQ022BT00_FEC_MOD() {

        if (iTablaBDQ022BS00==null){

            return this.Q022BT00_FEC_MOD;

        }else{

           return iTablaBDQ022BS00.getQ022BT00_FEC_MOD();

        }

    }



    /** Getter for property Q022BT00_FEC_MOD_WHERE.

    * @return Value of property Q022BT00_FEC_MOD_WHERE.

    */

    public java.util.Date getQ022BT00_FEC_MOD_WHERE() {

        if (iTablaBDQ022BS00==null){

            return this.Q022BT00_FEC_MOD_WHERE;

        }else{

           return iTablaBDQ022BS00.getQ022BT00_FEC_MOD_WHERE();

        }

    }



    /** Getter for property FCA02T00_CODPROVINC.

    * @return Value of property FCA02T00_CODPROVINC.

    */

    public Integer getFCA02T00_CODPROVINC() {

        if (iTablaBDQ022BS00==null){

            return this.FCA02T00_CODPROVINC;

        }else{

           return iTablaBDQ022BS00.getFCA02T00_CODPROVINC();

        }

    }



    /** Getter for property FCA02T00_CODPROVINC_WHERE.

    * @return Value of property FCA02T00_CODPROVINC_WHERE.

    */

    public Integer getFCA02T00_CODPROVINC_WHERE() {

        if (iTablaBDQ022BS00==null){

            return this.FCA02T00_CODPROVINC_WHERE;

        }else{

           return iTablaBDQ022BS00.getFCA02T00_CODPROVINC_WHERE();

        }

    }



    /** Getter for property FCA02T00_CODMUNICIP.

    * @return Value of property FCA02T00_CODMUNICIP.

    */

    public Integer getFCA02T00_CODMUNICIP() {

        if (iTablaBDQ022BS00==null){

            return this.FCA02T00_CODMUNICIP;

        }else{

           return iTablaBDQ022BS00.getFCA02T00_CODMUNICIP();

        }

    }



    /** Getter for property FCA02T00_CODMUNICIP_WHERE.

    * @return Value of property FCA02T00_CODMUNICIP_WHERE.

    */

    public Integer getFCA02T00_CODMUNICIP_WHERE() {

        if (iTablaBDQ022BS00==null){

            return this.FCA02T00_CODMUNICIP_WHERE;

        }else{

           return iTablaBDQ022BS00.getFCA02T00_CODMUNICIP_WHERE();

        }

    }



    /** Getter for property Q022BT00_FEC_FIRMA.

    * @return Value of property Q022BT00_FEC_FIRMA.

    */

    public java.util.Date getQ022BT00_FEC_FIRMA() {

        if (iTablaBDQ022BS00==null){

            return this.Q022BT00_FEC_FIRMA;

        }else{

           return iTablaBDQ022BS00.getQ022BT00_FEC_FIRMA();

        }

    }



    /** Getter for property Q022BT00_FEC_FIRMA_WHERE.

    * @return Value of property Q022BT00_FEC_FIRMA_WHERE.

    */

    public java.util.Date getQ022BT00_FEC_FIRMA_WHERE() {

        if (iTablaBDQ022BS00==null){

            return this.Q022BT00_FEC_FIRMA_WHERE;

        }else{

           return iTablaBDQ022BS00.getQ022BT00_FEC_FIRMA_WHERE();

        }

    }



    /** Getter for property Q022BT00_XML_FIRMADO.

    * @return Value of property Q022BT00_XML_FIRMADO.

    */

    public Object getQ022BT00_XML_FIRMADO() {

        if (iTablaBDQ022BS00==null){

            return this.Q022BT00_XML_FIRMADO;

        }else{

           return iTablaBDQ022BS00.getQ022BT00_XML_FIRMADO();

        }

    }



    /** Getter for property Q022BT00_XML_FIRMADO_WHERE.

    * @return Value of property Q022BT00_XML_FIRMADO_WHERE.

    */

    public Object getQ022BT00_XML_FIRMADO_WHERE() {

        if (iTablaBDQ022BS00==null){

            return this.Q022BT00_XML_FIRMADO_WHERE;

        }else{

           return iTablaBDQ022BS00.getQ022BT00_XML_FIRMADO_WHERE();

        }

    }



    /** Getter for property Q022BT00_USER_FIRMA.

    * @return Value of property Q022BT00_USER_FIRMA.

    */

    public String getQ022BT00_USER_FIRMA() {

        if (iTablaBDQ022BS00==null){

            return this.Q022BT00_USER_FIRMA;

        }else{

           return iTablaBDQ022BS00.getQ022BT00_USER_FIRMA();

        }

    }



    /** Getter for property Q022BT00_USER_FIRMA_WHERE.

    * @return Value of property Q022BT00_USER_FIRMA_WHERE.

    */

    public String getQ022BT00_USER_FIRMA_WHERE() {

        if (iTablaBDQ022BS00==null){

            return this.Q022BT00_USER_FIRMA_WHERE;

        }else{

           return iTablaBDQ022BS00.getQ022BT00_USER_FIRMA_WHERE();

        }

    }



    /** Getter for property Q022BT00_OBSSU.

    * @return Value of property Q022BT00_OBSSU.

    */

    public String getQ022BT00_OBSSU() {

        if (iTablaBDQ022BS00==null){

            return this.Q022BT00_OBSSU;

        }else{

           return iTablaBDQ022BS00.getQ022BT00_OBSSU();

        }

    }



    /** Getter for property Q022BT00_OBSSU_WHERE.

    * @return Value of property Q022BT00_OBSSU_WHERE.

    */

    public String getQ022BT00_OBSSU_WHERE() {

        if (iTablaBDQ022BS00==null){

            return this.Q022BT00_OBSSU_WHERE;

        }else{

           return iTablaBDQ022BS00.getQ022BT00_OBSSU_WHERE();

        }

    }



    /** Setter for property idConexion.

    * @param valor New value of property idConexion.

    */

    public void setIdConexion(String valor) {

        if (iTablaBDQ022BS00==null){

           this.idConexion = valor;

        }else{

           iTablaBDQ022BS00.setIdConexion(valor);

        }

    }



    /** Getter for property fechaClase.

    * @return Value of property fechaClase.

    */

    public String getFechaClase() {

        if (iTablaBDQ022BS00==null){

           return sFechaClase;

        }else{

           return iTablaBDQ022BS00.getFechaClase();

        }

    }



    /** Getter for property idConexion.

    * @return Value of property idConexion.

    */

    public String getIdConexion() {

        if (iTablaBDQ022BS00==null){

           return this.idConexion;

        }else{

           return iTablaBDQ022BS00.getIdConexion();

        }

    }



    /** Getter for property queryLog.

    * @return Value of property queryLog.

    * variable donde se guarda la ultima sentencia ejecutada

    */

    public String getQueryLog() {

        if (iTablaBDQ022BS00==null){

           return this.queryLog.toString();

        }else{

           return iTablaBDQ022BS00.getQueryLog();

        }

    }



    /** Setter for property numInicio.

    * @param valor New value of property numInicio.

    */

    public void setNumInicio(int valor) {

        if (iTablaBDQ022BS00==null){

        this.numInicio = valor;

        }else{

           iTablaBDQ022BS00.setNumInicio(valor);

        }

    }



    /** Getter for property numInicio.

    * @return Value of property numInicio.

    */

    public int getNumInicio() {

        if (iTablaBDQ022BS00==null){

           return this.numInicio;

        }else{

           return iTablaBDQ022BS00.getNumInicio();

        }

    }



    /** Setter for property numFinal.

    * @param valor New value of property numFinal.

    */

    public void setNumFinal(int valor) {

        if (iTablaBDQ022BS00==null){

        this.numFinal = valor;

        }else{

           iTablaBDQ022BS00.setNumFinal(valor);

        }

    }



    /** Getter for property numFinal.

    * @return Value of property numFinal.

    */

    public int getNumFinal() {

        if (iTablaBDQ022BS00==null){

           return this.numFinal;

        }else{

           return iTablaBDQ022BS00.getNumFinal();

        }

    }



    /** Setter for property numMaxRegistros.

    * @param valor New value of property numMaxRegistros.

    */

    public void setNumMaxRegistros(int valor) {

        if (iTablaBDQ022BS00==null){

        this.numMaxRegistros = valor;

        }else{

           iTablaBDQ022BS00.setNumMaxRegistros(valor);

        }

    }



    /** Getter for property numMaxRegistros.

    * @return Value of property numMaxRegistros.

    */

    public int getNumMaxRegistros() {

        if (iTablaBDQ022BS00==null){

           return this.numMaxRegistros;

        }else{

           return iTablaBDQ022BS00.getNumMaxRegistros();

        }

    }



    /** Setter for property limitRows.

    * @param valor New value of property limitRows.

    */

    public void setLimitRows(boolean valor) {

        if (iTablaBDQ022BS00==null){

        this.limitRows = valor;

        }else{

           iTablaBDQ022BS00.setLimitRows(valor);

        }

    }



    /** Getter for property limitRows.

    * @return Value of property limitRows.

    */

    public boolean getLimitRows() {

        if (iTablaBDQ022BS00==null){

           return this.limitRows;

        }else{

           return iTablaBDQ022BS00.getLimitRows();

        }

    }



    /** Getter for property connection.

    * @return Value of property connection.

    */

    public Connection getConn() {

        if (iTablaBDQ022BS00==null){

           return this.connection;

        }else{

           return iTablaBDQ022BS00.getConn();

        }

    }



    /** Setter for property orderBy.

    * @param valor New value of property orderBy.

    */

    public void setOrderBy(String valor) {

        if (iTablaBDQ022BS00==null){

           this.orderBy = valor;

        }else{

           iTablaBDQ022BS00.setOrderBy(valor);

        }

    }



    /** Getter for property orderBy.

    * @return Value of property orderBy.

    */

    public String getOrderBy() {

        if (iTablaBDQ022BS00==null){

           return this.orderBy;

        }else{

           return iTablaBDQ022BS00.getOrderBy();

        }

    }



    /** Setter for property aditionalWhere.

    * @param valor New value of property aditionalWhere.

    */

    public void setAditionalWhere(String valor) {

        if (iTablaBDQ022BS00==null){

           this.aditionalWhere = valor;

        }else{

           iTablaBDQ022BS00.setAditionalWhere(valor);

        }

    }



    /** Getter for property aditionalWhere.

    * @return Value of property aditionalWhere.

    */

    public String getAditionalWhere() {

        if (iTablaBDQ022BS00==null){

           return this.aditionalWhere;

        }else{

           return iTablaBDQ022BS00.getAditionalWhere();

        }

    }



    /** Getter for property initialWhere.

    * @return Value of property initialWhere.

    */

    public String getInitialWhere() {

        if (iTablaBDQ022BS00==null){

           return this.initialWhere;

        }else{

           return iTablaBDQ022BS00.getInitialWhere();

        }

    }



    /** Setter for property initialWhere.

    * @param valor New value of property initialWhere.

    */

    public void setInitialWhere(String valor) {

        if (iTablaBDQ022BS00==null){

           this.initialWhere = valor;

        }else{

           iTablaBDQ022BS00.setInitialWhere(valor);

        }

    }



    /** Getter for property fixedWhere.

    * @return Value of property fixedWhere.

    */

    public String getFixedWhere() {

        if (iTablaBDQ022BS00==null){

           return this.fixedWhere;

        }else{

           return iTablaBDQ022BS00.getFixedWhere();

        }

    }



    /** Setter for property fixedWhere.

    * @param valor New value of property fixedWhere.

    */

    public void setFixedWhere(String valor) {

        if (iTablaBDQ022BS00==null){

           this.fixedWhere = valor;

        }else{

           iTablaBDQ022BS00.setFixedWhere(valor);

        }

    }



    /** Setter for property distinct.

    * @param valor New value of property distinct.

    */

    public void setDistinct(String valor) {

        if (iTablaBDQ022BS00==null){

           this.distinct = valor;

        }else{

           iTablaBDQ022BS00.setDistinct(valor);

        }

    }



    /** Getter for property distinct.

    * @return Value of property distinct.

    */

    public String getDistinct() {

        if (iTablaBDQ022BS00==null){

           return this.distinct;

        }else{

           return iTablaBDQ022BS00.getDistinct();

        }

    }



    /** Setter for property max.

    * @param valor New value of property max.

    */

    public void setMax(String valor) {

        if (iTablaBDQ022BS00==null){

           this.max = valor;

        }else{

           iTablaBDQ022BS00.setMax(valor);

        }

    }



    /** Getter for property max.

    * @return Value of property max.

    */

    public String getMax() {

        if (iTablaBDQ022BS00==null){

           return this.max;

        }else{

           return iTablaBDQ022BS00.getMax();

        }

    }



    /** Method freeResources.

    * @return void.

    */

    public void freeResources() {

        if (iTablaBDQ022BS00==null){

           super.freeResources();

        }else{

           iTablaBDQ022BS00.freeResources();

        }

    }



    /** Method freeResourcesNotConnection.

    * @return void.

    */

    public void freeResourcesNotConnection() {

        if (iTablaBDQ022BS00==null){

           super.freeResourcesNotConnection();

        }else{

           iTablaBDQ022BS00.freeResourcesNotConnection();

        }

    }



    /** Method getColumnas.

    * @return String[].

    */

    public String[] getColumnas() {

        return this.columnas;

    }



    /** Method getColumnasPK.

    * @return String[].

    */

    public String[] getColumnasPK() {

        return this.columnasPK;

    }



    /** Method getTipos.

    * @return int[].

    */

    public int[] getTipos() {

        return this.tipos;

    }



}

